﻿TAB = String.fromCharCode(9);
LF = String.fromCharCode(10);
filename = File.openDialog("Tab区切りテキストファイルを指定してください");
if (filename) {
	fileObj = new File(filename);
	flag = fileObj.open("r");
	if (flag == true){
		savefilename = File.saveDialog("保存HTMLファイル名を入れて下さい");
		if (savefilename){
			savefileObj = new File(savefilename);
			flag = savefileObj.open("w");
			if (flag == true){
				// 書き出し
				savefileObj.write('<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">');
				savefileObj.write('<html><head>');
				savefileObj.write('<meta http-equiv="content-type" content="text/html;charset=shift_jis">');
				savefileObj.write('<title>商品一覧</title>');
				savefileObj.write('<link rel="stylesheet" href="main.css" type="text/css" media="all">');
				savefileObj.write('<body>');
				savefileObj.write('<h1>商品一覧</h1>');
				savefileObj.write('<p>価格は通常価格でセール価格ではありません。</p>');
				while(!fileObj.eof) {
					text = fileObj.readln();
					if (!text) break;	// 改行のみの場合はファイル末尾として終了させる
					var tData = text.split(TAB);	// タブ区切りなので個別に配列に格納
					// ■カテゴリ(path)、名前(name)、商品コード(code)、価格(price)
					var categoly = tData[0];
					var iitemName = tData[1];
					var itemCode = tData[2];
					var itemPrice = tData[3];
					var dispFlag = tData[4];
					if (dispFlag == "0") continue;
					if (categoly.length > 2) {
						categoly = categoly.replace(/:/g, " ＞ ");
						savefileObj.write('</table>');
						savefileObj.writeln('<h2>'+categoly+'</h2>');
						savefileObj.writeln('<table border="1" bordercolor="black" cellspacing="0" cellpadding="2" width="800">');
						savefileObj.write('<tr><th width="48">画像</th><th width="80">商品コード</th><th>商品名</th><th width="100">価格</th>');
					}
					var aURL = 'http://store.shopping.yahoo.co.jp/SAMPLE/'+itemCode+'.html';
					savefileObj.writeln('<tr><td height="48"><img src="http://a248.e.akamai.net/f/248/37952/1h/image.shopping.yahoo.co.jp/i/j/SAMPLE_'+itemCode+'" width="48" height="48"></td><td align="right">'+itemCode+'</td><td><a href="'+aURL+'" target="tonyaItem">'+iitemName+'</a></td><td align="right">'+itemPrice+'円</td></tr>');
				}
				savefileObj.write('</body></html>');
				savefileObj.close();
			}else{
				alert("保存ファイルに書き込めませんでした");
			}
		}else{
			alert("保存ファイルが開けませんでした");
		}
	}
}else{
	alert("ファイルが読み込めませんでした");
}






